## elpa-rust-mode 1.0.6

=== Makefile ===
-include config.mk

.PHONY: test

all: lisp

PKG = rust-mode

EMACS ?= emacs
EMACS_ARGS ?=
EASK ?= eask

DEPS  =

LOAD_PATH  ?= $(addprefix -L ../,$(DEPS))
LOAD_PATH  += -L .

# TODO: add checkdoc and lint
ci: build compile test

build:
	$(EASK) package
	$(EASK) install

compile:
	@printf "Compiling $<\n"
	$(EASK) compile

test:
	$(EASK) test ert rust-mode-tests.el
	$(EASK) test ert rust-cargo-tests.el

checkdoc:
	$(EASK) lint checkdoc

lint:
	$(EASK) lint package

CLEAN = $(PKG)-autoloads.el

clean:
	@printf "Cleaning...\n"
	@rm -rf $(CLEAN)
	$(EASK) clean all

$(PKG)-autoloads.el:
	@printf "Generating $@\n"
	$(EASK) autoloads

## elpa-rust-mode 0.2.0~git20160216.1.b1cca0f

=== debian/changelog ===
elpa-rust-mode (0.2.0~git20160216.1.b1cca0f-1) unstable; urgency=medium

  * New upstream commit.

 -- Matt Kraai <kraai@debian.org>  Wed, 17 Feb 2016 00:16:07 -0800

elpa-rust-mode (0.2.0~git20160116.1.fa5b38f-1) unstable; urgency=medium

  * Package.

 -- Matt Kraai <kraai@debian.org>  Tue, 02 Feb 2016 23:30:30 -0800

=== debian/control ===
Source: elpa-rust-mode
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Matt Kraai <kraai@debian.org>
Section: editors
Priority: extra
Build-Depends: debhelper (>= 9), dh-elpa (>= 0.0.17)
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-emacsen/pkg/rust-mode.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-emacsen/pkg/rust-mode.git/

Package: elpa-rust-mode
Architecture: all
Depends: ${misc:Depends}
Built-Using: ${misc:Built-Using}
Recommends: emacs (>= 46.0)
Enhances: emacs, emacs24
Description: Major Emacs mode for editing Rust source code
 A major Emacs mode for editing Rust source code.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh "$@" --parallel --with elpa

## elpa-rust-mode 0.2.0~git20160721.1.b3b0f78

=== debian/changelog ===
elpa-rust-mode (0.2.0~git20160721.1.b3b0f78-1) unstable; urgency=medium

  * New upstream commits.
  * Update Standards-Version.

 -- Matt Kraai <kraai@debian.org>  Thu, 21 Jul 2016 21:28:35 -0700

elpa-rust-mode (0.2.0~git20160309.1.1c37249-1) unstable; urgency=medium

  * New upstream commits.
  * Make the clean target remove rust-mode.elc.
  * Run the test suite.
  * Use secure URLs for Vcs-* fields.
  * Add a Homepage field.
  * Add a debian/watch file.

 -- Matt Kraai <kraai@debian.org>  Wed, 09 Mar 2016 06:45:51 -0800

elpa-rust-mode (0.2.0~git20160307.1.bc0df03-1) unstable; urgency=medium

  * New upstream commits.

 -- Matt Kraai <kraai@debian.org>  Mon, 07 Mar 2016 22:18:58 -0800

elpa-rust-mode (0.2.0~git20160303.1.6739dd9-1) unstable; urgency=medium

  * New upstream commits.
  * Update Standards-Version.

 -- Matt Kraai <kraai@debian.org>  Fri, 04 Mar 2016 21:56:38 -0800

## elpa-rust-mode 0.3.0

=== debian/changelog ===
elpa-rust-mode (0.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Matt Kraai <kraai@debian.org>  Tue, 01 Nov 2016 07:17:50 -0700

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Section: editors
 Priority: extra
 Build-Depends: debhelper (>= 9), dh-elpa (>= 0.0.17)
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-emacsen/pkg/rust-mode.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-emacsen/pkg/rust-mode.git/
+Standards-Version: 3.9.8
+Homepage: https://github.com/rust-lang/rust-mode
+Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/rust-mode.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/rust-mode.git/
 
 Package: elpa-rust-mode
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh "$@" --parallel --with elpa

override_dh_auto_clean:
	rm -f rust-mode.elc

override_dh_auto_test:
	./run_rust_emacs_tests.sh

## elpa-rust-mode 0.4.0

=== debian/changelog ===
elpa-rust-mode (0.4.0-2) unstable; urgency=medium

  * Team upload
  * Rebuild with dh-elpa 2.x
  * Upload to unstable

 -- David Bremner <bremner@debian.org>  Wed, 27 Jan 2021 08:00:03 -0400

elpa-rust-mode (0.3.0-3) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Sat, 31 Aug 2019 09:52:17 -0300

elpa-rust-mode (0.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Use full name.
  * Change priority to optional.

 -- Matthew Kraai <kraai@debian.org>  Mon, 04 Mar 2019 14:43:53 -0800

elpa-rust-mode (0.3.0-2) unstable; urgency=medium

  * Team upload.
  * Apply patch from Ian Jackson to fix `goto-error' with recent rust
    (Closes: #918373).
  * Point Vcs-* at salsa.
  * Update team name and e-mail in Maintainer: field.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 05 Jan 2019 19:42:50 +0000

elpa-rust-mode (0.3.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild against more recent dh-elpa (Closes: #900732).

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 23 Jul 2018 18:04:05 +0800

=== debian/control ===
Source: elpa-rust-mode
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Matthew Kraai <kraai@debian.org>
Section: editors
Priority: optional
Build-Depends: debhelper (>= 9), dh-elpa (>= 0.0.17)
Standards-Version: 3.9.8
Homepage: https://github.com/rust-lang/rust-mode
Vcs-Git: https://salsa.debian.org/emacsen-team/rust-mode.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/rust-mode

Package: elpa-rust-mode
Architecture: all
Depends: ${misc:Depends}
Built-Using: ${misc:Built-Using}
Recommends: emacs (>= 46.0)
Enhances: emacs, emacs24
Description: Major Emacs mode for editing Rust source code
 A major Emacs mode for editing Rust source code.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
    https://github.com/rust-lang/rust-mode/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## elpa-rust-mode 1.0.5+git20240301.6d86af4

=== debian/changelog ===
elpa-rust-mode (1.0.5+git20240301.6d86af4-1) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * Drop emacs24 from Enhances (package does not exist in bullseye).
  * Matthew Kraai has moved to Emeritus status; remove him from
    Uploaders on his request.

  [ Xiyue Deng ]
  * Sync to latest upstream head (6d86af4)
  * Drop obsolete patches
  * Skip upstream Makefile which relies on eask
  * Drop obsolete override_dh_auto_test and refine override_dh_auto_clean
  * Include all source files in d/elpa
  * Migrate from compat to debhelper-compat version 13
  * Drop unnecessary parameter "--parallel" with debhelper-compat 13
  * Drop obsolete version requirements from dh-elpa and emacs
  * Update to Standards-Version 4.6.2 (no change needed)
  * Extend package description using upstream introduction
  * Drop Built-Using from "Architecture: all" package
  * Add myself as uploader (Closes: 1021460)
  * Modernize d/watch with special substitute strings
  * Rename license from Expat to MIT following upstream
  * Use https in Format URL
  * Update copyright years
  * Add copyright information for debian/*
  * Add Upstream-Contact
  * Add d/upstream/metadata

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 02 Mar 2024 03:37:05 -0800

=== debian/control ===
Source: elpa-rust-mode
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Xiyue Deng <manphiz@gmail.com>
Section: editors
Priority: optional
Build-Depends: debhelper-compat (= 13), dh-elpa
Standards-Version: 4.6.2
Homepage: https://github.com/rust-lang/rust-mode
Vcs-Git: https://salsa.debian.org/emacsen-team/rust-mode.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/rust-mode

Package: elpa-rust-mode
Architecture: all
Depends: ${misc:Depends}
Recommends: emacs
Enhances: emacs
Description: Major Emacs mode for editing Rust source code
 rust-mode makes editing Rust code with Emacs enjoyable. It requires
 Emacs 25 or later, and is included in both Emacs Prelude and
 Spacemacs by default.
 .
 This mode provides:
  Syntax highlighting (for Font Lock Mode)
  Indentation
  Integration with Cargo, clippy and rustfmt
 .
 This mode does not provide auto completion, or jumping to function /
 trait definitions.
 .
 If you are missing features in rust-mode, please check out rustic
 before you open a feature request. It depends on rust-mode and
 provides additional features. This allows us to keep rust-mode
 light-weight for users that are happy with basic functionality.

## elpa-rust-mode 1.0.5+git20240520.d00d83d

=== debian/changelog ===
elpa-rust-mode (1.0.5+git20240520.d00d83d-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 19:06:51 +0900

elpa-rust-mode (1.0.5+git20240520.d00d83d-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.3.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 11:28:46 +0900

elpa-rust-mode (1.0.5+git20240520.d00d83d-1) unstable; urgency=medium

  * Sync to latest upstream snapshot (d00d83d)
  * Declare Standards-Version 4.7.0; no change needed
  * Add "Rules-Requires-Root: no" to source package
  * Add ${elpa:Depends} to Depends of binary package

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 03 Jun 2024 22:27:00 -0700

## elpa-rust-mode 1.0.6

=== debian/changelog ===
elpa-rust-mode (1.0.6-1) unstable; urgency=medium

  * New upstream version

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 28 Aug 2024 10:45:28 -0700

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Section: editors
 Priority: optional
 Build-Depends: debhelper-compat (= 13), dh-elpa
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/rust-lang/rust-mode
 Vcs-Git: https://salsa.debian.org/emacsen-team/rust-mode.git
 Vcs-Browser: https://salsa.debian.org/emacsen-team/rust-mode
+Rules-Requires-Root: no
 
 Package: elpa-rust-mode
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, ${elpa:Depends}
 Recommends: emacs
 Enhances: emacs
 Description: Major Emacs mode for editing Rust source code

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh "$@" --with elpa

override_dh_auto_build:
	@echo Skip upstream Makefile which relies on eask.

override_dh_auto_clean:
	find . -name "*.elc" -exec rm -f "{}" \;

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%rust-mode-$1.tar.gz%" \
    https://github.com/rust-lang/rust-mode/tags \
    (?:.*?/)?@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
